Skip to main content
GET
/
usage
/
transactions
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.usage.transactions();

  console.log(result);
}

run();
{
  "data": [
    {
      "object": "<string>",
      "id": "<string>",
      "category": "<string>",
      "operation": "<string>",
      "description": "<string>",
      "amount": 123,
      "reference": "<string>",
      "created_at": "<string>"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

limit
integer

Number of transactions to return (1-100, default 15).

Required range: 1 <= x <= 100
starting_after
string

Transaction id (cred_…) to paginate forward from.

ending_before
string

Transaction id (cred_…) to paginate backward from.

days
integer

Limit results to the last N days. Omit for full history.

Required range: x >= 1

Response

List of usage transactions

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required